#!/bin/sh
#
# jinja2: lstrip_blocks: "True"
# vi: ft=jinja.crontab
{{ ansible_managed | comment }}
(
  PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:{{ restic_install_path }}
  export PATH
  RESTIC_CACHE_DIR={{ restic_cache_path }}
  export RESTIC_CACHE_DIR
  RESTIC_REPOSITORY={{ restic_url | trim | quote }}
  export RESTIC_REPOSITORY
  RESTIC_PASSWORD={{ restic_password | trim | quote }}
  export RESTIC_PASSWORD
  {% if restic_credentials|length %}
  {% for k,v in restic_credentials.items() %}
  {{ k | upper }}={{ v | trim | quote }}
  export {{ k | upper }}
  {% endfor %}
  {% endif %}
  restic_bin $@
)
